Subject: B20.1: mkdir works different than in linux
From: [email-masked] (Reinhard JESSICH)

21 Jan 1999 16:39:43 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=_1A4D8715.FC9DF0A5"
To: <[email-masked]>

This is a MIME message. If you are reading this text, you may want to 
consider changing to a mail reader or gateway that understands how to 
properly handle MIME multipart messages.

--=_1A4D8715.FC9DF0A5
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

I have a makefile running on LINUX, but not on CygWin 20.1.

The reason is, that it calls mkdir <dir>/ (example: mydir/).
This will work in LINUX, but not in CygWin. It will work with -p,
but that is not what I want (no change of the Makefile).

I have downloaded the sources and I found, that it must be the call to
CreateDirectoryA in mkdir in winsup/dir.cc. CreateDirectory does not
supporting this (I think, not tested).

If you want to change this in the next release I would be happy,
but it is not a big problem for me, because I will write a small shell
script that removes the terminating /.
best regards.
      Reinhard

PS: Attached you will find the log of cygcheck

---------------------------------------------------------
Ing. Reinhard Jessich
Software Design
FREQUENTIS
A-1120 Wien, Spittelbreitengasse 34
http://www.frequentis.com
eMail: [email-masked]
Phone: +43/1/81150/2395
Fax: +43/1/81150/2299
---------------------------------------------------------

--=_1A4D8715.FC9DF0A5
Content-Type: application/octet-stream; name="cygcheck.out"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="cygcheck.out"

--=_1A4D8715.FC9DF0A5--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".